#!/bin/sh

if [ $# != 2 ]; then
# TRANSLATE quoted string after echo command
    echo "用法: create_pool.sh {-source | -derived | -cleartext} pool-name"
    exit 1
fi
kind=$1
name=$2

TMPFILE=/usr/tmp/xclearcase.$$
YES=0
NO=1

abort () {
# TRANSLATE quoted string after echo command
    echo "コマンドが中止されました。"
    rm -f $TMPFILE
    exit 1
}

# Ask user where to create pool
# TRANSLATE quoted string after "question="
question="VOB 記憶ディレクトリまたはほかの場所にプールを作成できます。
VOB にプールを作成しますか?"
clearprompt yes_no -type ok -default yes -mask yes,no,abort \
    	-prefer_gui -prompt "$question"
answer=$?

# create pool under VOB (mkpool default)
if [ $answer = $YES ]; then
    :
# create pool elsewhere
elif [ $answer = $NO ]; then
# TRANSLATE quoted string after -prompt switch
    if clearprompt text -prefer_gui -outfile $TMPFILE \
                   -prompt "プールのパス名を入力してください:" ; then
        pname=`cat $TMPFILE`
	rm -f $TMPFILE
        ln_opt="-ln $pname"
    else
	abort
    fi
# abort
else
    abort
fi

# Ask for pool parameters
if [ "$kind" != "-source" ]; then
# TRANSLATE quoted string after "question="
    question="デフォルトのプール サイズと経過時間のパラメータを使用しますか?"
    clearprompt yes_no -prefer_gui -type ok -mask yes,no,abort \
		-prompt "$question" -default yes 
    answer=$?
    if [ $answer = $YES ]; then
	:
    elif [ $answer = $NO ]; then

	# age
	# TRANSLATE quoted string after -prompt switch
	if clearprompt text -prefer_gui -outfile $TMPFILE \
		       -prompt "経過時間を時間単位で入力してください:" -default "96" ; then
	    age=`cat $TMPFILE`
	    rm -f $TMPFILE
            age_opt="-age $age"
	else
	    abort
	fi

	# max size
	size_opt="-size"
	# TRANSLATE quoted string after -prompt switch
	if clearprompt text -prefer_gui -outfile $TMPFILE \
		       -prompt "最大サイズを KB 単位で入力してください:" -default "0" ; then
	    size=`cat $TMPFILE`
	    rm -f $TMPFILE
            size_opt="$size_opt $size"
	else
	    abort
	fi

	# reclaim size
	# TRANSLATE quoted string after -prompt switch
	if clearprompt text -prefer_gui -outfile $TMPFILE \
		       -prompt "ターゲットのサイズを KB 単位で入力してください:" -default "0" ; then
	    size=`cat $TMPFILE`
	    rm -f $TMPFILE
            size_opt="$size_opt $size"
	else
	    abort
	fi
    else
	abort
    fi
fi

cleartool mkpool $kind $ln_opt $age_opt $size_opt $name
